/*
  SpellingQuizController.h - spelling quiz controller header for Popup.app
  Copyright (C) 2003, 2004 Rob Burns

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02111, USA.
*/

#ifndef _SPELLING_QUIZ_CONTROLLER_H_
#define _SPELLING_QUIZ_CONTROLLER_H_

#ifdef __APPLE__
  #import <Cocoa/Cocoa.h>
  #include "GNUstep.h"
#else
  #include <Foundation/Foundation.h>
  #include <AppKit/AppKit.h>
#endif

#include "QuizController.h"


@interface SpellingQuizController : QuizController
{
  id entry;
}

- (void) dealloc;
- (void) awakeFromNib;

- (NSString *) nibName;
- (NSString *) quizName;
- (void) displayCurrentCard: (id)sender;

- (void) evaluate: (id)sender;

@end

#endif // _SPELLING_QUIZ_CONTROLLER_H_
